summaryrefslogtreecommitdiff
path: root/gnulib-tests/test-mbsrtowcs5.sh
diff options
context:
space:
mode:
Diffstat (limited to 'gnulib-tests/test-mbsrtowcs5.sh')
-rwxr-xr-xgnulib-tests/test-mbsrtowcs5.sh9
1 files changed, 9 insertions, 0 deletions
diff --git a/gnulib-tests/test-mbsrtowcs5.sh b/gnulib-tests/test-mbsrtowcs5.sh
new file mode 100755
index 0000000..96734a7
--- /dev/null
+++ b/gnulib-tests/test-mbsrtowcs5.sh
@@ -0,0 +1,9 @@
+#!/bin/sh
+
+# Test whether the POSIX locale has encoding errors.
+LC_ALL=C \
+${CHECKER} ./test-mbsrtowcs${EXEEXT} 5 || exit 1
+LC_ALL=POSIX \
+${CHECKER} ./test-mbsrtowcs${EXEEXT} 5 || exit 1
+
+exit 0